Main Page | Directories | File List | File Members | Related Pages

# Distributions.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
double | C_quadformConditionalPvalue (const double tstat, const double df)
double | C_maxabsConditionalPvalue (const double tstat, const double *Sigma, const int pq, int *maxpts, double *releps, double *abseps, double *tol)
void | C_MonteCarlo (double *pvalues, SEXP learnsample, SEXP weights, SEXP fitmem, SEXP varctrl, SEXP gtctrl, double *ans)

## Function Documentation

double C_maxabsConditionalPvalue | ( | const double | tstat,
|  | const double * | Sigma,
|  | const int | pq,
|  | int * | maxpts,
|  | double * | releps,
|  | double * | abseps,
|  | double * | tol
| ) |

  | Conditional asymptotic P-value of a maxabs-type test statistic Basically the functionality from package `mvtnorm' Parameters:
  | tstat | test statitstic
  | Sigma | covariance matrix
  | pq | nrow(Sigma)
  | maxpts | number of Monte-Carlo steps
  | releps | relative error
  | abseps | absolute error
  | tol | tolerance
Definition at line 52 of file Distributions.c. References mvtdst. Referenced by C_ConditionalPvalue(), and R_maxabsConditionalPvalue().

void C_MonteCarlo | ( | double * | criterion,
|  | SEXP | learnsample,
|  | SEXP | weights,
|  | SEXP | fitmem,
|  | SEXP | varctrl,
|  | SEXP | gtctrl,
|  | double * | ans_pvalues
| ) |

  | Monte-Carlo approximation to the conditional pvalues Parameters:
  | criterion | vector of node criteria for each input
  | learnsample | an object of class `LearningSample'
  | weights | case weights
  | fitmem | an object of class `TreeFitMemory'
  | varctrl | an object of class `VariableControl'
  | gtctrl | an object of class `GlobalTestControl'
  | ans_pvalues | return values; vector of adjusted pvalues
Definition at line 169 of file Distributions.c. References C_LinearStatistic(), C_max(), C_MLinearStatistic(), C_PermutedLinearStatistic(), C_SampleNoReplace(), C_TeststatCriterion(), get_Mscorematrix(), get_ninputs(), get_nobs(), get_nresample(), get_transformation(), get_varmemory(), get_varMmemory(), has_missings(), is_ordinal(), ncol(), PL2_expcovinfSym, PL2_inputsSym, PL2_linearstatisticSym, PL2_responsesSym, and PL2_sumweightsSym. Referenced by C_GlobalTest(), and R_MonteCarlo(). Here is the call graph for this function:

double C_quadformConditionalPvalue | ( | const double | tstat,
|  | const double | df
| ) |

  | Conditional asymptotic P-value of a quadratic form Parameters:
  | tstat | test statistic
  | df | degree of freedom
Definition at line 18 of file Distributions.c. Referenced by C_ConditionalPvalue(), and R_quadformConditionalPvalue().